Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.messaging.core.plugin
Class IdManager

    java.lang.Object
      org.jboss.messaging.core.plugin.IdManager

public class IdManager
extends java.lang.Object

A IdManager.

Version:
  1.1 IdManager.java,v 1.1 2006/03/07 17:11:15 timfox Exp
Author:
  Tim Fox

Field Summary
`protected int` | `bigBlockSize`
`protected java.lang.String` | `counterName`
`protected long` | `high`
`protected long` | `nextBlock`
`protected PersistenceManager` | `pm`

Constructor Summary
`IdManager(java.lang.String counterName, int bigBlockSize, PersistenceManager pm)`

Method Summary
`long` | `getId()`
`IdBlock` | `getIdBlock(int size)`
`protected void` | `getNextBigBlock()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### bigBlockSize

    protected int bigBlockSize

### high

    protected long high

### nextBlock

    protected long nextBlock

### pm

    protected PersistenceManager pm

### counterName

    protected java.lang.String counterName

Constructor Detail

### IdManager

    public IdManager(java.lang.String counterName,
                     int bigBlockSize,
                     PersistenceManager pm)
              throws java.lang.Exception

Method Detail

### getIdBlock

    public IdBlock getIdBlock(int size)
                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getId

    public long getId()
               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getNextBigBlock

    protected void getNextBigBlock()
                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.